%define module_name Crypt-Bcrypt
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Digest/SHA.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(MIME/Base64.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.011
Release: alt2
Summary: A modern bcrypt implementation
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{version}.tar.gz

%description
This module provides a modern and user-friendly implementation of the bcrypt password hash.

Note that in bcrypt passwords may only contain 72 characters.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.011-alt2
- rebuild with perl 5.38

* Mon Mar 20 2023 Igor Vlasenko <viy@altlinux.org> 0.011-alt1
- updated by package builder

* Thu Feb 23 2023 Igor Vlasenko <viy@altlinux.org> 0.010-alt1
- updated by package builder

* Sun Feb 12 2023 Igor Vlasenko <viy@altlinux.org> 0.009-alt1
- updated by package builder

* Wed Feb 08 2023 Igor Vlasenko <viy@altlinux.org> 0.008-alt1
- updated by package builder

* Sun Jan 23 2022 Igor Vlasenko <viy@altlinux.org> 0.007-alt1
- updated by package builder

* Wed Jan 19 2022 Igor Vlasenko <viy@altlinux.org> 0.006-alt1
- updated by package builder

* Sun Jan 09 2022 Igor Vlasenko <viy@altlinux.org> 0.004-alt1
- updated by package builder

* Sat Jan 01 2022 Igor Vlasenko <viy@altlinux.org> 0.002-alt1
- initial import by package builder

